swap(std::expected)(3)

NAME
swap(std::expected) - swap(std::expected)

Synopsis
   friend constexpr void swap( expected& lhs, expected& rhs ) (since C++23)
   noexcept(/*see below*/);
   Overloads the std::swap algorithm for std::expected. Exchanges the state of lhs with
   that of rhs. Effectively calls lhs.swap(rhs).
   This overload participates in overload resolution only if lhs.swap(rhs) is valid.
   This function is not visible to ordinary unqualified or qualified lookup, and can
   only be found by argument-dependent lookup when std::expected<T, E> is an associated
   class of the arguments.

Parameters
   lhs, rhs - expected objects whose states to swap

Return value
   (none)

Exceptions
   noexcept specification:
   noexcept(noexcept(lhs.swap(rhs)))

Example
    This section is incomplete
    Reason: no example

See also
   swap exchanges the contents
        (public member function)

Categories:
     * conditionally noexcept
     * Todo no example